Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename cli-table
# tests disabled due to missing npm(expresso)
%global enable_tests 0

Name:		nodejs-cli-table
Version:	0.3.1
Release:	alt1_6
Summary:	Pretty unicode tables for the CLI

License:	MIT
URL:		https://github.com/Automattic/cli-table.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(colors) >= 1.0.3
%if 0%{?enable_tests}
BuildRequires:	npm(expresso)
%endif

Requires:	node
Source44: import.info

%description
Pretty unicode tables for the CLI


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%nodejs_fixdep colors


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/expresso test/*.test.js
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_6
- new version

